package application;

import java.awt.Color;

import javafx.animation.KeyFrame;
import javafx.animation.Timeline;
import javafx.application.Application;
import javafx.scene.Group;
import javafx.scene.Scene;
import javafx.stage.Stage;
import javafx.util.Duration;

public class BounceMainRun extends Application
{
	
	public static void main(String[] args)
	{
		launch(args);
	}

	private int width = 600;
	private int height = 500;
	private int ballSize = 15;
	
	@Override
	public void start(Stage primaryStage) throws Exception 
	{
		Group root = new Group();
		
		//creating 10 balls from the more balls class
		for (int i = 0; i < 10; i++) 
		{
			MoreBalls.balls.add(new MoreBalls(ballSize, width, height, MoreBalls.balls, Color.RED));
		}
		
		root.getChildren().addAll(MoreBalls.balls);
		
		Scene scene = new Scene(root, width, height);
		primaryStage.setTitle("Multi Bouncing Balls");
		primaryStage.setScene(scene);
		primaryStage.show();
		
		KeyFrame kFrame = new KeyFrame(Duration.millis(10), 
				e ->
		{
			for(MoreBalls ball : MoreBalls.balls)
			{
				ball.move();
			}
		});
		
		Timeline time = new Timeline(kFrame);
		time.setCycleCount(Timeline.INDEFINITE);
		time.play();
	}

}